﻿using System.Threading.Tasks;
using Xamarin.Essentials;
using Xamarin.Forms;

namespace XF_Compartilhar
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        async void btnCompartilhaTexto_Clicked(object sender, System.EventArgs e)
        {
            await CompartilharTexto(txtTexto.Text);
        }

        public async Task CompartilharTexto(string texto)
        {
            await Share.RequestAsync(new ShareTextRequest
            {
                Text = texto,
                Title = "Compartilhando texto"
            });
        }
        async void btnCompartilhaURL_Clicked(object sender, System.EventArgs e)
        {
            await CompartilharUri(txtUrl.Text);
        }

        public async Task CompartilharUri(string uri)
        {
            await Share.RequestAsync(new ShareTextRequest
            {
                Uri = uri,
                Title = "Compartilhando link"
            });
        }
    }
}
